Skip to content

Actions de séquence

Une action de séquence correspond à l'envoi d'une séquence ou newsletter pour un contact (entité CamSequenceAction).

Récupérer les actions de séquence

GET /v1/sequence/action

Retourne la liste des actions de séquence avec les détails complets du workflow d'automatisation (relances, séquences, campagnes et opportunités déclenchées sur succès, échec ou désinscription).

Headers

NomTypeRequisDescription
x-access-tokenStringouiClé API

Paramètres query

NomTypeRequisDescription
idSequenceActionint|int[]conditionnelIdentifiant(s) de l'action de séquence
idSequenceint|int[]conditionnelIdentifiant(s) de la séquence
idSequenceTypeint|int[]conditionnelIdentifiant(s) du type de séquence
idCrmContactint|int[]conditionnelIdentifiant(s) du contact CRM
idCrmVisitCardint|int[]conditionnelIdentifiant(s) de la fiche contact CRM
emailString|String[]conditionnelAdresse(s) email du contact
idCompanyint|int[]conditionnelIdentifiant(s) de la société
sirenString|String[]conditionnelNuméro(s) SIREN
idSupplyint|int[]conditionnelIdentifiant(s) de supply
idUserResponsableint|int[]conditionnelIdentifiant(s) de l'utilisateur responsable
idCampaignint|int[]conditionnelIdentifiant(s) de la campagne
successboolconditionnelFiltre les actions par statut de succès
isEndedboolconditionnelFiltre les actions terminées ou non
processingboolconditionnelFiltre les actions en cours de traitement
minDateStringconditionnelDate de démarrage minimale (format YYYY-mm-DD)
pollingSuccessintconditionnelActions avec succès dans les X dernières minutes (min. 15)
includeCampaignboolnonInclut l'objet campaign dans la réponse

TIP

Au moins un paramètre de filtrage est obligatoire.

Réponses

200 — OK
json
{
    "success": true,
    "code": "200",
    "parameters": {},
    "result": [
        {
            "idSequenceAction": "int",
            "idSequence": "int|null",
            "idCrmContact": "int",
            "idUserResponsable": "int|null",
            "idCampaign": "int|null",
            "idNewsletter": "int|null",
            "unsubscribe": "bool|null",
            "unsubscribeDate": "datetime|null",
            "deleteKey": "string|null",
            "deleteKeyDate": "datetime|null",
            "startDate": "datetime",
            "success": "bool|null",
            "successDate": "datetime|null",
            "failure": "bool|null",
            "failureDate": "datetime|null",
            "isEnded": "bool|null",
            "endDate": "datetime|null",
            "userStopped": "bool|null",
            "userStoppedDate": "datetime|null",
            "idUserStopped": "int|null",
            "userStoppedFromIdSequenceAction": "int|null",

            "automateSuccessHasRelaunch": "bool",
            "automateSuccessRelaunchIdSupply1": "int|null",
            "automateSuccessRelaunchIdSupplyTag1": "int|null",
            "automateSuccessRelaunchIdSupply2": "int|null",
            "automateSuccessRelaunchIdSupplyTag2": "int|null",
            "automateSuccessRelaunchIdSupply3": "int|null",
            "automateSuccessRelaunchIdSupplyTag3": "int|null",
            "automateSuccessRelaunchIdSupply4": "int|null",
            "automateSuccessRelaunchIdSupplyTag4": "int|null",
            "automateSuccessRelaunchIdRelaunchPriority": "int|null",
            "automateSuccessRelaunchRelaunchNumberOfDays": "int|null",
            "automateSuccessRelaunchIdUser": "int|null",
            "automateSuccessRelaunchText": "string|null",
            "automateSuccessRelaunchExecuted": "bool|null",
            "automateSuccessRelaunchExecutedDate": "datetime|null",

            "automateSuccessHasSequence": "bool",
            "automateSuccessIdSequence": "int|null",
            "automateSuccessSequenceNumberOfDays": "int|null",
            "automateSuccessSequenceExecuted": "bool|null",
            "automateSuccessSequenceExecutedDate": "datetime|null",

            "automateSuccessHasCampaign": "bool",
            "automateSuccessIdCampaign": "int|null",
            "automateSuccessCampaignNumberOfDays": "int|null",
            "automateSuccessCampaignExecuted": "bool|null",
            "automateSuccessCampaignExecutedDate": "datetime|null",

            "automateSuccessHasOpportunity": "bool",
            "automateSuccessOpportunityTitle": "string|null",
            "automateSuccessOpportunityDeadline": "int|null",
            "automateSuccessOpportunityIdOpportunityStatus": "int|null",
            "automateSuccessOpportunityAmount": "float|null",
            "automateSuccessOpportunityIdUser": "int|null",
            "automateSuccessOpportunityText": "string|null",
            "automateSuccessOpportunityExecuted": "bool|null",
            "automateSuccessOpportunityExecutedDate": "datetime|null",

            "automateFailureHasRelaunch": "bool",
            "automateFailureRelaunchIdSupply1": "int|null",
            "automateFailureRelaunchIdSupplyTag1": "int|null",
            "automateFailureRelaunchIdSupply2": "int|null",
            "automateFailureRelaunchIdSupplyTag2": "int|null",
            "automateFailureRelaunchIdSupply3": "int|null",
            "automateFailureRelaunchIdSupplyTag3": "int|null",
            "automateFailureRelaunchIdSupply4": "int|null",
            "automateFailureRelaunchIdSupplyTag4": "int|null",
            "automateFailureRelaunchIdRelaunchPriority": "int|null",
            "automateFailureRelaunchRelaunchNumberOfDays": "int|null",
            "automateFailureRelaunchIdUser": "int|null",
            "automateFailureRelaunchText": "string|null",
            "automateFailureRelaunchExecuted": "bool|null",
            "automateFailureRelaunchExecutedDate": "datetime|null",

            "automateFailureHasSequence": "bool",
            "automateFailureIdSequence": "int|null",
            "automateFailureSequenceNumberOfDays": "int|null",
            "automateFailureSequenceExecuted": "bool|null",
            "automateFailureSequenceExecutedDate": "datetime|null",

            "automateFailureHasCampaign": "bool",
            "automateFailureIdCampaign": "int|null",
            "automateFailureCampaignNumberOfDays": "int|null",
            "automateFailureCampaignExecuted": "bool|null",
            "automateFailureCampaignExecutedDate": "datetime|null",

            "automateFailureNoSuccessUnsubscribe": "bool",
            "automateFailureNoSuccessUnsubscribeExecuted": "bool|null",
            "automateFailureNoSuccessUnsubscribeExecutedDate": "datetime|null",

            "automateFailureNoSuccessHasRelaunch": "bool",
            "automateFailureNoSuccessRelaunchIdSupply1": "int|null",
            "automateFailureNoSuccessRelaunchIdSupplyTag1": "int|null",
            "automateFailureNoSuccessRelaunchIdSupply2": "int|null",
            "automateFailureNoSuccessRelaunchIdSupplyTag2": "int|null",
            "automateFailureNoSuccessRelaunchIdSupply3": "int|null",
            "automateFailureNoSuccessRelaunchIdSupplyTag3": "int|null",
            "automateFailureNoSuccessRelaunchIdSupply4": "int|null",
            "automateFailureNoSuccessRelaunchIdSupplyTag4": "int|null",
            "automateFailureNoSuccessRelaunchIdRelaunchPriority": "int|null",
            "automateFailureNoSuccessRelaunchRelaunchNumberOfDays": "int|null",
            "automateFailureNoSuccessRelaunchIdUser": "int|null",
            "automateFailureNoSuccessRelaunchText": "string|null",
            "automateFailureNoSuccessRelaunchExecuted": "bool|null",
            "automateFailureNoSuccessRelaunchExecutedDate": "datetime|null",

            "automateFailureNoSuccessHasSequence": "bool",
            "automateFailureNoSuccessIdSequence": "int|null",
            "automateFailureNoSuccessSequenceNumberOfDays": "int|null",
            "automateFailureNoSuccessSequenceExecuted": "bool|null",
            "automateFailureNoSuccessSequenceExecutedDate": "datetime|null",

            "automateFailureNoSuccessHasCampaign": "bool",
            "automateFailureNoSuccessIdCampaign": "int|null",
            "automateFailureNoSuccessCampaignNumberOfDays": "int|null",
            "automateFailureNoSuccessCampaignExecuted": "bool|null",
            "automateFailureNoSuccessCampaignExecutedDate": "datetime|null",

            "automateFailureHasRelaunchPersona": "bool",
            "automateFailureRelaunchPersonaIdSupply1": "int|null",
            "automateFailureRelaunchPersonaIdSupplyTag1": "int|null",
            "automateFailureRelaunchPersonaIdSupply2": "int|null",
            "automateFailureRelaunchPersonaIdSupplyTag2": "int|null",
            "automateFailureRelaunchPersonaIdSupply3": "int|null",
            "automateFailureRelaunchPersonaIdSupplyTag3": "int|null",
            "automateFailureRelaunchPersonaIdSupply4": "int|null",
            "automateFailureRelaunchPersonaIdSupplyTag4": "int|null",
            "automateFailureRelaunchPersonaIdRelaunchPriority": "int|null",
            "automateFailureRelaunchPersonaRelaunchNumberOfDays": "int|null",
            "automateFailureRelaunchPersonaIdUser": "int|null",
            "automateFailureRelaunchPersonaText": "string|null",
            "automateFailureRelaunchPersonaExecuted": "bool|null",
            "automateFailureRelaunchPersonaExecutedDate": "datetime|null",

            "automateFailureHasSameCampaignPersona": "bool",
            "automateFailureHasCampaignPersona": "bool",
            "automateFailureIdCampaignPersona": "int|null",
            "automateFailureCampaignNumberOfDaysPersona": "int|null",
            "automateFailureCampaignPersonaExecuted": "bool|null",
            "automateFailureCampaignPersonaExecutedDate": "datetime|null",

            "automateFailureHasRelaunchEnrichContact": "bool",
            "autoFailRelEnrichContactIdSupply1": "int|null",
            "autoFailRelEnrichContactIdSupplyTag1": "int|null",
            "autoFailRelEnrichContactIdSupply2": "int|null",
            "autoFailRelEnrichContactIdSupplyTag2": "int|null",
            "autoFailRelEnrichContactIdSupply3": "int|null",
            "autoFailRelEnrichContactIdSupplyTag3": "int|null",
            "autoFailRelEnrichContactIdSupply4": "int|null",
            "autoFailRelEnrichContactIdSupplyTag4": "int|null",
            "autoFailRelEnrichContactIdRelaunchPriority": "int|null",
            "autoFailRelEnrichContactRelaunchNumberOfDays": "int|null",
            "autoFailRelEnrichContactIdUser": "int|null",
            "autoFailRelEnrichContactText": "string|null",
            "autoFailRelEnrichContactExecuted": "bool|null",
            "autoFailRelEnrichContactExecutedDate": "datetime|null",

            "autoFailHasSameCampaignEnrichContact": "bool",
            "autoFailHasCampaignEnrichContact": "bool",
            "autoFailIdCampaignEnrichContact": "int|null",
            "autoFailCampaignNumberOfDaysEnrichContact": "int|null",
            "autoFailCampaignEnrichContactExecuted": "bool|null",
            "autoFailCampaignEnrichContactExecutedDate": "datetime|null",

            "hasUnsubscribe": "bool",
            "unsubscribeExecuted": "bool|null",
            "unsubscribeExecutedDate": "datetime|null",
            "unsubscribeLinkText": "string|null",
            "unsubscribeText": "string|null",

            "automateUnsubFailureHasRelaunch": "bool",
            "automateUnsubFailureRelaunchIdSupply1": "int|null",
            "automateUnsubFailureRelaunchIdSupplyTag1": "int|null",
            "automateUnsubFailureRelaunchIdSupply2": "int|null",
            "automateUnsubFailureRelaunchIdSupplyTag2": "int|null",
            "automateUnsubFailureRelaunchIdSupply3": "int|null",
            "automateUnsubFailureRelaunchIdSupplyTag3": "int|null",
            "automateUnsubFailureRelaunchIdSupply4": "int|null",
            "automateUnsubFailureRelaunchIdSupplyTag4": "int|null",
            "automateUnsubFailureRelaunchIdRelaunchPriority": "int|null",
            "automateUnsubFailureRelaunchNumberOfDays": "int|null",
            "automateUnsubFailureRelaunchIdUser": "int|null",
            "automateUnsubFailureRelaunchText": "string|null",
            "automateUnsubFailureRelaunchExecuted": "bool|null",
            "automateUnsubFailureRelaunchExecutedDate": "datetime|null",

            "automateUnsubFailureHasSequence": "bool",
            "automateUnsubFailureIdSequence": "int|null",
            "automateUnsubFailureSequenceNumberOfDays": "int|null",
            "automateUnsubFailureSequenceExecuted": "bool|null",
            "automateUnsubFailureSequenceExecutedDate": "datetime|null",

            "automateUnsubFailureHasCampaign": "bool",
            "automateUnsubFailureIdCampaign": "int|null",
            "automateUnsubFailureCampaignNumberOfDays": "int|null",
            "automateUnsubFailureCampaignExecuted": "bool|null",
            "automateUnsubFailureCampaignExecutedDate": "datetime|null",

            "created": "datetime",
            "modified": "datetime",
            "contactDnsNotValid": "bool|null",

            "campaign": "object|null",
            "crmVisitCard": {
                "idCrmVisitCard": "int",
                "idAccount": "string",
                "idCompany": "int|null",
                "firstName": "string|null",
                "firstNameNormalized": "string|null",
                "lastName": "string|null",
                "lastNameNormalized": "string|null",
                "email": "string|null",
                "company": {
                    "idCompany": "int",
                    "siren": "string",
                    "name": "string"
                }
            }
        }
    ]
}

Notes :

  • Les blocs automateSuccess*, automateFailure*, automateFailureNoSuccess*, automateUnsubFailure* décrivent les automatisations configurées (relance, séquence, campagne, opportunité) ; les paires *Executed / *ExecutedDate indiquent si et quand l'automatisation a été exécutée.
  • crmVisitCard est un objet contact partiel (identité et société) ; les autres champs de l'objet sont null. Voir Contacts CRM pour l'objet complet.
  • campaign n'est alimenté que si includeCampaign=true.
  • Les objets campaignSuccessAutomate, campaignFailureAutomate, sequenceSuccessAutomate, userSuccessAutomate, etc. peuvent également être présents (ou null) lorsqu'une automatisation correspondante est configurée.
400 — Bad Request
json
{
    "success": false,
    "code": 400,
    "message": "Aucun paramètre indiqué, se réferrer à la documentation",
    "parameters": {}
}
401 — Unauthorized
json
{
    "success": false,
    "code": "401",
    "message": "Clé API invalide"
}
403 — Forbidden
json
{
    "success": false,
    "code": 403,
    "message": "L'abonnement n'a pas accès à ces données",
    "parameters": {}
}

Coefficy — API externe